## r-cran-patchwork 1.1.1

=== DESCRIPTION ===
Package: patchwork
Type: Package
Title: The Composer of Plots
Version: 1.1.1
Authors@R: 
    person(given = "Thomas Lin",
           family = "Pedersen",
           role = c("cre", "aut"),
           email = "thomasp85@gmail.com",
           comment = c(ORCID = "0000-0002-5147-4711"))
Maintainer: Thomas Lin Pedersen <thomasp85@gmail.com>
Description: The 'ggplot2' package provides a strong API for sequentially 
    building up a plot, but does not concern itself with composition of multiple
    plots. 'patchwork' is a package that expands the API to allow for 
    arbitrarily complex composition of plots by, among others, providing 
    mathematical operators for combining multiple plots. Other packages that try 
    to address this need (but with a different approach) are 'gridExtra' and 
    'cowplot'.
License: MIT + file LICENSE
Encoding: UTF-8
LazyData: true
Imports: ggplot2 (>= 3.0.0), gtable, grid, stats, grDevices, utils,
        graphics
RoxygenNote: 7.1.1
URL: https://patchwork.data-imaginist.com,
        https://github.com/thomasp85/patchwork
BugReports: https://github.com/thomasp85/patchwork/issues
Suggests: knitr, rmarkdown, gridGraphics, gridExtra, ragg, testthat (>=
        2.1.0), vdiffr, covr, png
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2020-12-15 10:14:48 UTC; thomas
Author: Thomas Lin Pedersen [cre, aut]
    (<https://orcid.org/0000-0002-5147-4711>)
Repository: CRAN
Date/Publication: 2020-12-17 09:40:02 UTC

## r-cran-patchwork 1.0.0

=== debian/changelog ===
r-cran-patchwork (1.0.0-4build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 May 2020 06:20:31 +0000

r-cran-patchwork (1.0.0-4) unstable; urgency=medium

  * Source upload in R 4.0 transition

 -- Andreas Tille <tille@debian.org>  Wed, 20 May 2020 09:54:03 +0200

r-cran-patchwork (1.0.0-3) unstable; urgency=medium

  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Tue, 24 Mar 2020 19:23:54 +0100

r-cran-patchwork (1.0.0-2) unstable; urgency=medium

  * Team upload.
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.

 -- Dylan Aïssi <daissi@debian.org>  Sun, 22 Mar 2020 14:10:59 +0100

r-cran-patchwork (1.0.0-1) unstable; urgency=medium

  * Initial release (closes: #953715)

 -- Andreas Tille <tille@debian.org>  Thu, 12 Mar 2020 13:49:58 +0100

=== debian/control ===
Source: r-cran-patchwork
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-cran-ggplot2 (>= 3.0.0),
               r-cran-gtable
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-patchwork
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-patchwork.git
Homepage: https://cran.r-project.org/package=patchwork
Rules-Requires-Root: no

Package: r-cran-patchwork
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R the composer of plots
 The 'ggplot2' package provides a strong API for sequentially
 building up a plot, but does not concern itself with composition of multiple
 plots. 'patchwork' is a package that expands the API to allow for
 arbitrarily complex composition of plots by, among others, providing
 mathematical operators for combining multiple plots. Other packages that try
 to address this need (but with a different approach) are 'gridExtra' and
 'cowplot'.

## r-cran-patchwork 1.1.1

=== debian/changelog ===
r-cran-patchwork (1.1.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 16 Jan 2021 08:49:20 +0100

r-cran-patchwork (1.1.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 13 Nov 2020 11:25:52 +0100

r-cran-patchwork (1.0.1-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 03 Sep 2020 14:10:54 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: r-cran-patchwork
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-ggplot2 (>= 3.0.0),
                r-cran-gtable
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-patchwork
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-patchwork.git
 Homepage: https://cran.r-project.org/package=patchwork

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-vdiffr, r-cran-gridgraphics
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/patchwork_([-\d.]*)\.tar\.gz

## r-cran-patchwork 1.1.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: patchwork
 Type: Package
 Title: The Composer of Plots
-Version: 1.1.1
+Version: 1.1.2
 Authors@R: 
     person(given = "Thomas Lin",
            family = "Pedersen",
@@ -18,10 +18,9 @@
     'cowplot'.
 License: MIT + file LICENSE
 Encoding: UTF-8
-LazyData: true
 Imports: ggplot2 (>= 3.0.0), gtable, grid, stats, grDevices, utils,
         graphics
-RoxygenNote: 7.1.1
+RoxygenNote: 7.2.1
 URL: https://patchwork.data-imaginist.com,
         https://github.com/thomasp85/patchwork
 BugReports: https://github.com/thomasp85/patchwork/issues
@@ -29,8 +28,8 @@
         2.1.0), vdiffr, covr, png
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2020-12-15 10:14:48 UTC; thomas
+Packaged: 2022-08-18 17:21:47 UTC; thomas
 Author: Thomas Lin Pedersen [cre, aut]
     (<https://orcid.org/0000-0002-5147-4711>)
 Repository: CRAN
-Date/Publication: 2020-12-17 09:40:02 UTC
+Date/Publication: 2022-08-19 09:00:10 UTC

=== debian/changelog ===
r-cran-patchwork (1.1.2-2) unstable; urgency=medium

  * lintian-overrides: No JS included
  * Disable reprotest
  * Rebuild with r-graphics-engine set by r-base
    Closes: #1039658
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 06 Jul 2023 14:16:41 +0200

r-cran-patchwork (1.1.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 23 Aug 2022 07:49:09 +0200

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-ggplot2 (>= 3.0.0),
+               r-cran-ggplot2,
                r-cran-gtable
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-patchwork
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-patchwork.git
 Homepage: https://cran.r-project.org/package=patchwork

## r-cran-patchwork 1.2.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: patchwork
 Type: Package
 Title: The Composer of Plots
-Version: 1.1.2
+Version: 1.2.0
 Authors@R: 
     person(given = "Thomas Lin",
            family = "Pedersen",
@@ -19,17 +19,18 @@
 License: MIT + file LICENSE
 Encoding: UTF-8
 Imports: ggplot2 (>= 3.0.0), gtable, grid, stats, grDevices, utils,
-        graphics
-RoxygenNote: 7.2.1
+        graphics, rlang, cli
+RoxygenNote: 7.2.3
 URL: https://patchwork.data-imaginist.com,
         https://github.com/thomasp85/patchwork
 BugReports: https://github.com/thomasp85/patchwork/issues
 Suggests: knitr, rmarkdown, gridGraphics, gridExtra, ragg, testthat (>=
         2.1.0), vdiffr, covr, png
 VignetteBuilder: knitr
+Config/Needs/website: gifski
 NeedsCompilation: no
-Packaged: 2022-08-18 17:21:47 UTC; thomas
+Packaged: 2024-01-08 10:09:15 UTC; thomas
 Author: Thomas Lin Pedersen [cre, aut]
     (<https://orcid.org/0000-0002-5147-4711>)
 Repository: CRAN
-Date/Publication: 2022-08-19 09:00:10 UTC
+Date/Publication: 2024-01-08 14:40:02 UTC

=== debian/changelog ===
r-cran-patchwork (1.2.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 18 Jan 2024 13:34:05 +0100

r-cran-patchwork (1.1.3-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 01 Sep 2023 11:44:05 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,9 @@
                dh-r,
                r-base-dev,
                r-cran-ggplot2,
-               r-cran-gtable
+               r-cran-gtable,
+               r-cran-rlang,
+               r-cran-cli
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-patchwork
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-patchwork.git

## r-cran-patchwork 1.3.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: patchwork
 Type: Package
 Title: The Composer of Plots
-Version: 1.2.0
+Version: 1.3.0
 Authors@R: 
     person(given = "Thomas Lin",
            family = "Pedersen",
@@ -19,18 +19,18 @@
 License: MIT + file LICENSE
 Encoding: UTF-8
 Imports: ggplot2 (>= 3.0.0), gtable, grid, stats, grDevices, utils,
-        graphics, rlang, cli
-RoxygenNote: 7.2.3
+        graphics, rlang (>= 1.0.0), cli, farver
+RoxygenNote: 7.3.2
 URL: https://patchwork.data-imaginist.com,
         https://github.com/thomasp85/patchwork
 BugReports: https://github.com/thomasp85/patchwork/issues
 Suggests: knitr, rmarkdown, gridGraphics, gridExtra, ragg, testthat (>=
-        2.1.0), vdiffr, covr, png
+        2.1.0), vdiffr, covr, png, gt (>= 0.11.0)
 VignetteBuilder: knitr
 Config/Needs/website: gifski
 NeedsCompilation: no
-Packaged: 2024-01-08 10:09:15 UTC; thomas
+Packaged: 2024-09-16 08:14:08 UTC; thomas
 Author: Thomas Lin Pedersen [cre, aut]
     (<https://orcid.org/0000-0002-5147-4711>)
 Repository: CRAN
-Date/Publication: 2024-01-08 14:40:02 UTC
+Date/Publication: 2024-09-16 09:30:02 UTC

=== debian/changelog ===
r-cran-patchwork (1.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 25 Sep 2024 08:38:04 +0900

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,10 @@
                r-base-dev,
                r-cran-ggplot2,
                r-cran-gtable,
-               r-cran-rlang,
-               r-cran-cli
-Standards-Version: 4.6.2
+               r-cran-rlang (>= 1.0.0),
+               r-cran-cli,
+               r-cran-farver
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-patchwork
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-patchwork.git
 Homepage: https://cran.r-project.org/package=patchwork

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-knitr,
        r-cran-rmarkdown,
        r-cran-gridgraphics,
        r-cran-gridextra,
        r-cran-ragg,
        r-cran-testthat (>= 2.1.0),
        r-cran-vdiffr,
        r-cran-covr,
        r-cran-png
Restrictions: allow-stderr

## r-cran-patchwork 1.3.2

=== debian/changelog ===
r-cran-patchwork (1.3.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 17 Feb 2026 16:31:55 +0900

=== debian/control ===
Source: r-cran-patchwork
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-ggplot2,
 r-cran-gtable (>= 0.3.6),
 r-cran-rlang,
 r-cran-cli,
 r-cran-farver,
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-patchwork
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-patchwork.git
Homepage: https://cran.r-project.org/package=patchwork
Rules-Requires-Root: no

Package: r-cran-patchwork
Architecture: all
Depends:
 ${R:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: GNU R the composer of plots
 The 'ggplot2' package provides a strong API for sequentially
 building up a plot, but does not concern itself with composition of multiple
 plots. 'patchwork' is a package that expands the API to allow for
 arbitrarily complex composition of plots by, among others, providing
 mathematical operators for combining multiple plots. Other packages that try
 to address this need (but with a different approach) are 'gridExtra' and
 'cowplot'.

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends:
 @,
 r-cran-knitr,
 r-cran-rmarkdown,
 r-cran-gridgraphics,
 r-cran-gridextra,
 r-cran-ragg,
 r-cran-testthat (>= 2.1.0),
 r-cran-vdiffr,
 r-cran-covr,
 r-cran-png,
